[Projects] Get project overview
curl --request GET \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/overview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/overview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/overview")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/overview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"attention": {
"instances_without_hypervisor": 123,
"instances_suspended": 123,
"instances_throttled": 123,
"cancellations_scheduled": 123,
"tasks_failed_24h": 123,
"tasks_stuck": 123
},
"instances_by_status": [
{
"status": "<string>",
"count": 123
}
],
"instances_total": 123,
"resources_allocated": {
"vcpu": 123,
"ram_mb": 123,
"ram_gb": 123,
"storage_gb": 123
},
"resources_count": {
"volumes": 123,
"vpcs": 123,
"ssh_keys": 123,
"snapshots": 123,
"backups": 123,
"storage_gb": 123
},
"tasks_by_status": [
{
"status": "<string>",
"count": 123
}
],
"tasks_recent_count": 123
}
]Projects
[Projects] Get project overview
Returns aggregated data for the project dashboard including instance counts by status, resource totals, and task statistics.
GET
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
compute
/
overview
[Projects] Get project overview
curl --request GET \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/overview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/overview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/overview")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/overview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"attention": {
"instances_without_hypervisor": 123,
"instances_suspended": 123,
"instances_throttled": 123,
"cancellations_scheduled": 123,
"tasks_failed_24h": 123,
"tasks_stuck": 123
},
"instances_by_status": [
{
"status": "<string>",
"count": 123
}
],
"instances_total": 123,
"resources_allocated": {
"vcpu": 123,
"ram_mb": 123,
"ram_gb": 123,
"storage_gb": 123
},
"resources_count": {
"volumes": 123,
"vpcs": 123,
"ssh_keys": 123,
"snapshots": 123,
"backups": 123,
"storage_gb": 123
},
"tasks_by_status": [
{
"status": "<string>",
"count": 123
}
],
"tasks_recent_count": 123
}
]Authorizations
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

